Skip to main content

Get Account Permissions

GET 

/v2/account/:account_id/permissions

Get permissions for an account.Requires accountOrg:config:view or account:config:view permissions and for user to share an org with the account

Request

Path Parameters

    account_id uuidrequired

    Account ID

Query Parameters

    org_id uuid

    The ID of the Org for the account

Responses

Successful Response

Schema

    account_permissions

    object[]

    required

  • Array [

  • org_id uuid

    Org ID to which the permission applies

    product_id uuid

    Product ID to which the permission applies

    environment_id uuid

    Environment ID to which the permission applies

    sandbox_id uuid

    Sandbox ID to which the permission applies

    org_name Org Name (string)

    Name of the org to which the permission applies

    product_name Product Name (string)

    Name of the product to which the permission applies

    environment_name Environment Name (string)

    Name of the environment to which the permission applies

    sandbox_name Sandbox Name (string)

    Name of the sandbox to which the permission applies

    permission_id Permission Id (string)required

    Permission to be applied to the entity

    account_permission_id uuid

    ID of the account permission

  • ]

  • group_permissions

    object[]

    required

  • Array [

  • group_id uuidrequired

    ID of the permission group

    org_id uuid

    Org ID to which the permission applies

    product_id uuid

    Product ID to which the permission applies

    environment_id uuid

    Environment ID to which the permission applies

    sandbox_id uuid

    Sandbox ID to which the permission applies

    org_name Org Name (string)

    Name of the org to which the permission applies

    product_name Product Name (string)

    Name of the product to which the permission applies

    environment_name Environment Name (string)

    Name of the environment to which the permission applies

    sandbox_name Sandbox Name (string)

    Name of the sandbox to which the permission applies

    permission_id Permission Id (string)

    Permission to be applied to the entity

    group_name Group Name (string)

    Name of the permission group

  • ]

Loading...